Subject: Re: bug#75217: 31.0.50; tsx-ts-mode has wonky text motions and indentation

From: Arsen Arsenović <[email-masked]>
Date: Sat, 04 Jan 2025 22:07:06 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Juri Linkov <[email-masked]>
>> Cc: Dmitry Gutov <[email-masked]>,  Yuan Fu <[email-masked]>,
>>   [email-masked],  [email-masked]
>> Date: Sat, 04 Jan 2025 19:48:55 +0200
>> 
>> >> >> It seems that, since recently, Emacs has started getting confused in
>> >> >> tsx-ts-mode.  For instance, text motions appear to be wrong.
>> >> > This mode is neither part of Emacs nor on GNU ELPA, right?
>> >> 
>> >> tsx-ts-mode is in lisp/progmodes/typescript-ts-mode.el
>> >
>> > Thanks, and sorry for my temporary blindness.
>> >
>> > Yuan, any comments or suggestions?
>> 
>> This looks the same as https://debbugs.gnu.org/73978#46
>> where no solution was yet found.
>
> Please merge identical bugs if that is appropriate.

Ah, I didn't think to check for the JSX mode when looking for
duplicates.  This very well could be (partially) the same bug.  I do not
see mention of the weird behavior in the explorer that I noticed,
though.

I'm not confident enough in my knowledge of the modes to be sure the
rest is the same bug, but it could well be.
-- 
Arsen Arsenović